# Generated by Django 2.2.19 on 2021-03-04 15:42

from django.db import migrations


def courriel_to_courriels(apps, schema_editor):
    Pouvoir = apps.get_model('base.Pouvoir')
    Courriel = apps.get_model('base.Courriel')

    Courriel.objects.bulk_create(
        [
            Courriel(pouvoir_id=p, courriel=e)
            for p, e in Pouvoir.objects.values_list('pk', 'courriel')
        ]
    )


def courriels_to_courriel(apps, schema_editor):
    Pouvoir = apps.get_model('base.Pouvoir')
    Courriel = apps.get_model('base.Courriel')

    objs = Pouvoir.objects.all()
    for p in objs:
        p.courriel = p.courriels.first().courriel
    Pouvoir.objects.bulk_update(objs, ['courriel'])


class Migration(migrations.Migration):

    dependencies = [
        ('base', '0016_courriel'),
    ]

    operations = [
        migrations.RunPython(
            courriel_to_courriels, courriels_to_courriel,
        ),
    ]
