# Generated by Django 4.1.6 on 2023-02-01 13:22

import django.core.serializers.json
from django.db import migrations, models
import wagtail.blocks
import wagtail.contrib.forms.models
import wagtail.documents.blocks
import wagtail.embeds.blocks
import wagtail.fields
import wagtail.images.blocks


class Migration(migrations.Migration):
    dependencies = [
        ('base', '0020_add_clean_name_on_form_fields'),
    ]

    operations = [
        migrations.AlterField(
            model_name='formfield',
            name='choices',
            field=models.TextField(
                blank=True,
                help_text='Comma or new line separated list of choices. Only applicable in checkboxes, radio and dropdown.',
                verbose_name='choices',
            ),
        ),
        migrations.AlterField(
            model_name='formfield',
            name='default_value',
            field=models.TextField(
                blank=True,
                help_text='Default value. Comma or new line separated values supported for checkboxes.',
                verbose_name='default value',
            ),
        ),
        migrations.AlterField(
            model_name='scrutin',
            name='from_address',
            field=models.EmailField(
                blank=True, max_length=255, verbose_name='from address'
            ),
        ),
        migrations.AlterField(
            model_name='scrutin',
            name='to_address',
            field=models.CharField(
                blank=True,
                help_text='Optional - form submissions will be emailed to these addresses. Separate multiple addresses by comma.',
                max_length=255,
                validators=[wagtail.contrib.forms.models.validate_to_address],
                verbose_name='to address',
            ),
        ),
        migrations.AlterField(
            model_name='sitepage',
            name='body',
            field=wagtail.fields.StreamField(
                [
                    (
                        'titre',
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    'niveau',
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ('h2', 'Titre de niveau 2'),
                                            ('h3', 'Titre de niveau 3'),
                                            ('h4', 'Titre de niveau 4'),
                                            ('h5', 'Titre de niveau 5'),
                                            ('h6', 'Titre de niveau 6'),
                                        ],
                                        icon='title',
                                    ),
                                ),
                                (
                                    'texte',
                                    wagtail.blocks.TextBlock(icon='pilcrow'),
                                ),
                            ]
                        ),
                    ),
                    (
                        'paragraphe',
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    'texte',
                                    wagtail.blocks.RichTextBlock(
                                        icon='pilcrow'
                                    ),
                                )
                            ]
                        ),
                    ),
                    (
                        'bouton',
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    'outline',
                                    wagtail.blocks.BooleanBlock(
                                        default=False,
                                        label='Bordures colorées uniquement',
                                        required=False,
                                    ),
                                ),
                                (
                                    'texte',
                                    wagtail.blocks.TextBlock(icon='pilcrow'),
                                ),
                                (
                                    'lien',
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                'page',
                                                wagtail.blocks.PageChooserBlock(
                                                    page_type=['base.SitePage']
                                                ),
                                            ),
                                            (
                                                'document',
                                                wagtail.documents.blocks.DocumentChooserBlock(),
                                            ),
                                            (
                                                'image',
                                                wagtail.images.blocks.ImageChooserBlock(),
                                            ),
                                            (
                                                'lien_externe',
                                                wagtail.blocks.URLBlock(
                                                    help_text='Lien vers un site externe.',
                                                    icon='link',
                                                ),
                                            ),
                                            (
                                                'ancre',
                                                wagtail.blocks.TextBlock(
                                                    help_text='Ancre dans la page. Ex : #infos',
                                                    icon='fa fa-anchor',
                                                ),
                                            ),
                                        ],
                                        help_text='Lien associé au bouton ; optionnel',
                                        icon='link',
                                        max_num=1,
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        'image',
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    'image',
                                    wagtail.images.blocks.ImageChooserBlock(
                                        icon='image'
                                    ),
                                ),
                                (
                                    'legende',
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            'ol',
                                            'ul',
                                            'bold',
                                            'italic',
                                            'link',
                                            'document-link',
                                        ],
                                        icon='pilcrow',
                                        label='légende',
                                        required=False,
                                    ),
                                ),
                                (
                                    'lien',
                                    wagtail.blocks.StreamBlock(
                                        [
                                            (
                                                'page',
                                                wagtail.blocks.PageChooserBlock(
                                                    page_type=['base.SitePage']
                                                ),
                                            ),
                                            (
                                                'document',
                                                wagtail.documents.blocks.DocumentChooserBlock(),
                                            ),
                                            (
                                                'image',
                                                wagtail.images.blocks.ImageChooserBlock(),
                                            ),
                                            (
                                                'lien_externe',
                                                wagtail.blocks.URLBlock(
                                                    help_text='Lien vers un site externe.',
                                                    icon='link',
                                                ),
                                            ),
                                            (
                                                'ancre',
                                                wagtail.blocks.TextBlock(
                                                    help_text='Ancre dans la page. Ex : #infos',
                                                    icon='fa fa-anchor',
                                                ),
                                            ),
                                        ],
                                        help_text="Lien associé à l'image ; optionnel",
                                        icon='link',
                                        max_num=1,
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        'embarque',
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    'media',
                                    wagtail.embeds.blocks.EmbedBlock(
                                        help_text='Lien vers le média embarqué.',
                                        icon='link',
                                    ),
                                )
                            ]
                        ),
                    ),
                ],
                blank=True,
                null=True,
                use_json_field=True,
                verbose_name='contenu',
            ),
        ),
        migrations.AlterField(
            model_name='vote',
            name='form_data',
            field=models.JSONField(
                encoder=django.core.serializers.json.DjangoJSONEncoder
            ),
        ),
    ]
